Delete Media File

Use this endpoint to delete the media file not associated with any video campaigns.

📘

URL: DELETE /api/v1/media/

Notes:

  • You can only delete video files in AVAILABLE or FAILED status.
  • Any media file associated with a campaign cannot be deleted.

Query Parameters

ParameterDescriptionTypeRequiredPossible Values
advertiserIdThe unique ID associated with advertiser accountintegerYUnique numeric identifier

Path Parameters

ParameterDescriptionTypeRequiredPossible Values
mediaIdThe unique ID of the media fileintegerYUnique numeric identifier

Headers

Header NameDescriptionRequiredValues
AuthorizationThe token will provide you the access to the API. It is same for all advertisers you access through the API.YPlease utilize the generated auth_token shared with you at the time of partner onboarding from the Getting Started Guide
WM_CONSUMER.IDWe will provide you the consumer ID to access the API. It is same for all advertisers you access through the API.   YPlease use the generated ConsumerId shared with you at the time of partner onboarding. Refer to the Getting Started Guide for more information
WM_SEC.AUTH_SIGNATUREAuth signature as an API key.YUse the signature generator code from Getting Started Guide to generate this value
WM_SEC.KEY_VERSIONWe will provide you with the KEY VERSION to access the API. It is same for all advertisers you access through the API.Y1
WM_CONSUMER.intimestampTimestamp for which the auth signature is generated. Use Unix epoch format for the timestamp.YUse the signature generator code from Getting Started Guide to generate this value
Content-TypeFormat of the message bodyYapplication/json

Sample Request 1

curl -X DELETE \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/media/600001?advertiserId=500001' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Sample Request 2

curl -X DELETE \
'https://developer.api.stg.walmart.com/api-proxy/service/WPA/Api/v1/api/v1/media/600002?advertiserId=500001' \
--header 'Authorization: Bearer <auth_token>' \ --header 'accept: application/json' \
--header 'WM_SEC.AUTH_SIGNATURE: ***********' \
--header 'WM_SEC.KEY_VERSION: 1' \ 
--header 'WM_CONSUMER.ID: adfwe-v23-faasd2r-afs-asdfqeff' \
--header 'WM_CONSUMER.intimestamp: 1565309779' \

Response

ElementDescriptionType
codePossible values of response code:
  • success
  • failure
string
detailsDetails of the error if value of response code is failure  string

Sample Response 1

[ { "code": "success", "details": "" }
]

Sample Response 2

[ { "code": "failure", "details": "The video 600002 cannot be deleted or edited. This video is currently associated with a campaign." }
]

Did this page help you?